<html>
<head>
<title>HTML_QuickForm - Listing 1</title>
</head>
<body>

<?php
require_once('HTML/QuickForm.php');

$form = new HTML_QuickForm('mainForm', 'post');
$form->addElement('header', 'myHeader', '  !');
$form->addElement('text', 'firstName', ':');
$form->addElement('text', 'surname', ':');
$form->addElement('date', 'birthday', ' :', array('format'=>'d-F-Y', 'language'=>'ru', 'minYear'=>1900, 'maxYear'=>2000));
$form->addElement('text', 'mail', 'E-Mail:');
$form->addElement('checkbox', 'inMailList', '  :');
$form->addElement('select', 'newsletter', ' :', array('computer'=>'', 'car'=>'', 'natur'=>'  ', 'science'=>''));

$checkbox = array();
$checkbox[] = HTML_QuickForm::createElement('checkbox', 'garden', null, '');
$checkbox[] = HTML_QuickForm::createElement('checkbox', 'sport', null, '');
$checkbox[] = HTML_QuickForm::createElement('checkbox', 'reading', null, '');
$form->addGroup($checkbox, 'hobby', ' :', '<br>');

$form->addElement('submit', 'submit', 'OK');

$select =& $form->getElement('newsletter');
$select->setSize(4);
$select->setMultiple(true);

$default = array('firstName'=>'',
		 'surname'=>'',
		 'inMailList'=>true,
		 'newsletter'=>array('computer', 'science'));
$form->setDefaults($default);

if ($form->validate()) {
	$form->process('process_data', false);
} else {
	$form->display();
}

function process_data($values) {
	print_r($values);
}
?>

</body>
</html>